$(function () {
    function ValidTemp() {
        var RentName = $("#RentName"),
        Box = $("#Box"),
        CPT = $("#CPT"),
        CPU = $("#CPU"),
        DDR = $("#DDR"),
        SATA = $("#SATA"),
        Flow = $("#Flow"),
        BW = $("#BW"),
        Ips = $("#Ips"),
        Memo = $("#Memo")
        allFields = $([])
                .add(RentName)
                .add(Box)
                .add(CPT)
                .add(CPU)
                .add(DDR)
                .add(SATA)
                .add(BW)
                .add(Flow)
                .add(Ips)
                .add(Memo)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(RentName, "模版名称", 1, 50);
        bValid = bValid && checkNumlength(Box, "机箱", 1, 2147483647);
        bValid = bValid && checkNumlength(CPT, "主板", 1, 2147483647);
        bValid = bValid && checkNumlength(CPU, "CPU", 1, 2147483647);
        bValid = bValid && checkNumlength(DDR, "内存", 1, 2147483647);
        bValid = bValid && checkNumlength(SATA, "硬盘", 1, 2147483647);
        bValid = bValid && checkNumlength(Flow, "流量", 0, 2147483647);
        bValid = bValid && checkNumlength(BW, "带宽", 1, 2147483647);
        bValid = bValid && checkNumlength(Ips, "IP数量", 1, 2147483647);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
    $("#ServerHome").change(function () {
        if ($(this).val() != 0) {
            $(".serverpricelink").html("<a href=\"Default.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".serverpricelink").html("");
        }
    });
    $("#Box").change(function () {
        if ($(this).val() != 0) {
            $(".boxlink").html("<a href=\"Box.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".boxlink").html("");
        }
    });
    $("#CPT").change(function () {
        if ($(this).val() != 0) {
            $(".cptlink").html("<a href=\"CPT.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".cptlink").html("");
        }
    });
    $("#CPU").change(function () {
        if ($(this).val() != 0) {
            $(".cpulink").html("<a href=\"CPU.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".cpulink").html("");
        }
    });
    $("#DDR").change(function () {
        if ($(this).val() != 0) {
            $(".ddrlink").html("<a href=\"DDR.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".ddrlink").html("");
        }
    });
    $("#SATA").change(function () {
        if ($(this).val() != 0) {
            $(".satalink").html("<a href=\"SATA.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".satalink").html("");
        }
    });
});